aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorRJ Catalano <rj@monax.io>2017-02-03 08:53:42 +0800
committerRJ Catalano <rj@monax.io>2017-02-10 01:31:02 +0800
commitd9e7af939ca202975a6dff7537d73614d75f1470 (patch)
treef3d4e2de826a77b534551828c50edc45900238da /scripts
parentd76d9d41690b69622b703b7a3f567e830d095f9e (diff)
downloaddexon-solidity-d9e7af939ca202975a6dff7537d73614d75f1470.tar.gz
dexon-solidity-d9e7af939ca202975a6dff7537d73614d75f1470.tar.zst
dexon-solidity-d9e7af939ca202975a6dff7537d73614d75f1470.zip
defeat race condition
Signed-off-by: RJ Catalano <rj@monax.io>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 8edfda0b..88815f5f 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -58,7 +58,7 @@ $ETH_PATH --test -d /tmp/test &
# is available and is ready for the unit-tests to start talking to it.
while [ ! -S /tmp/test/geth.ipc ]; do sleep 2; done
echo "--> IPC available."
-
+sleep 2
# And then run the Solidity unit-tests (once without optimization, once with),
# pointing to that IPC endpoint.
echo "--> Running tests without optimizer..."
@@ -69,4 +69,4 @@ ERROR_CODE=$?
pkill eth || true
sleep 4
pgrep eth && pkill -9 eth || true
-exit $ERROR_CODE
+exit $ERROR_CODE \ No newline at end of file